Package org.eclipse.emf.compare.ide.ui.dependency

## Interface IDependencyProvider

    @Beta
    public interface IDependencyProvider

Contract for clients of the org.eclipse.emf.ecompare.ide.ui.modelDependencies extension point.

Since:
  4.1

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `apply​(URI uri)` Specifies whether this `IDependencyProvider` can determine dependencies of the given `uri`.
`Set<URI>` `getDependencies​(URI uri, URIConverter uriConverter)` Determines the dependencies of the given `uri`.

### Method Detail

#### apply

    boolean apply​(URI uri)

Specifies whether this `IDependencyProvider` can determine dependencies of the given `uri`.

Parameters:
  `uri` - The `URI` for which additional dependencies may be determined.
Returns:
  `true` if the `IDependencyProvider` can provide dependencies for the given `uri`, `false` otherwise.

#### getDependencies

    Set<URI> getDependencies​(URI uri,
                             URIConverter uriConverter)

Determines the dependencies of the given `uri`.

Parameters:
  `uri` - The `URI` for which additional dependencies may be determined.
  `uriConverter` - The `URIConverter` to produce an input stream for the `URI`.
Returns:
  The set of dependencies of the given `uri`. If no dependency is determined an empty set is returned.